Footer

Your go-to destination for discovering trending open-source projects and uncovering the insights that matter

Legal

  • Terms and conditions
  • Privacy policy

More

  • Pricing
  • Advertise
  • onedump
  • gosnakego
  • Contact us

Social

  • X (Twitter)
  • GitHub
Trendshift owl
What they build speaks louder than words
© 2026 Trendshift, created by Julian Li with ❤️
SignalAdvertise
Trendshift
SignalAdvertise
Sign in
Trendshift owl

Discover trends that matter

DailyWeeklyMonthlyYearly
Live mentionsTopics
RepositoriesDevelopers
InsightsStats

ClawBench
ClawBench
Busbar
Busbar
Bifrost
Bifrost

mw99/DataCompression

Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)

Visit GitHub
Swift
302
58
1 contributors
Apache License 2.0
FeaturedAdvertise to 180K+ monthly visitors
ClawBench

a benchmark for personal agents

Busbar

Control what AI can do before it acts

Bifrost

Enterprise AI Gateway Built For Scale: Route, Govern, and Secure All Your AI Traffic

Momentum

How fast mw99/DataCompression is gaining stars, and where it lands on Trendshift and GitHub Trending

Activity and trending

Stars, forks and merged pull requests each day or month, lined up with the repository's rank on Trendshift Trending

Sep 15 – Oct 22, 2026

Stars +0 in 38 days

01

Forks +0 in 38 days

01

Merged PRs 0 in 38 days

01

Trendshift Trendingwhere the repository ranked each day it made the top 25

Not in the Trendshift top 25 in this period

Sep 15Sep 20Sep 25Sep 30Oct 5Oct 10Oct 15Oct 20
The left and right arrow keys step from day to day; Home and End go to the first and the last

Stars, forks, merged pull requests and Trendshift Trending rank, by day
DayStars gainedForks gainedMerged PRs
Tue, Sep 15, 2026+0+00
Wed, Sep 16, 2026+0+00
Thu, Sep 17, 2026+0+00
Fri, Sep 18, 2026+0+00
Sat, Sep 19, 2026+0+00
Sun, Sep 20, 2026+0+00
Mon, Sep 21, 2026+0+00
Tue, Sep 22, 2026+0+00
Wed, Sep 23, 2026+0+00
Thu, Sep 24, 2026+0+00
Fri, Sep 25, 2026+0+00
Sat, Sep 26, 2026+0+00
Sun, Sep 27, 2026+0+00
Mon, Sep 28, 2026+0+00
Tue, Sep 29, 2026+0+00
Wed, Sep 30, 2026+0+00
Thu, Oct 1, 2026+0+00
Fri, Oct 2, 2026+0+00
Sat, Oct 3, 2026+0+00
Sun, Oct 4, 2026+0+00
Mon, Oct 5, 2026+0+00
Tue, Oct 6, 2026+0+00
Wed, Oct 7, 2026+0+00
Thu, Oct 8, 2026+0+00
Fri, Oct 9, 2026+0+00
Sat, Oct 10, 2026+0+00
Sun, Oct 11, 2026+0+00
Mon, Oct 12, 2026+0+00
Tue, Oct 13, 2026+0+00
Wed, Oct 14, 2026+0+00
Thu, Oct 15, 2026+0+00
Fri, Oct 16, 2026+0+00
Sat, Oct 17, 2026+0+00
Sun, Oct 18, 2026+0+00
Mon, Oct 19, 2026+0+00
Tue, Oct 20, 2026+0+00
Wed, Oct 21, 2026+0+00
Thu, Oct 22, 2026+0+00
Total+0+00
  • 1#1 on the list
  • 7Rank that day
  • Not trending

You might also like

Repositories close to mw99/DataCompression
FeaturedAdvertise to 180K+ monthly visitors
Bifrost

Enterprise AI Gateway Built For Scale: Route, Govern, and Secure All Your AI Traffic

ClawBench

a benchmark for personal agents

Busbar

Control what AI can do before it acts

aperedera/SwiftZSTD

Swift

Swift wrapper around ZSTD compression lib

8812

weichsel/ZIPFoundation

Swift

Effortless ZIP Handling in Swift

2.7k395

madler/zlib

C

A massively spiffy yet delicately unobtrusive compression library.

7.2k2.7k

facebook/zstd

C

Zstandard - Fast real-time compression algorithm

28.1k2.6k

marmelroy/Zip

Swift

Swift framework for zipping and unzipping files.

2.6k461

Dr-Emann/applesauce

Rust

Transparent compression for Apple File System Compression (AFSC)

1746

hellobertrand/zxc

C

Lossless compression C library built for ultra-fast decode. Faster than LZ4 (+35% to 105%+; best on ARM64), at a better ratio. Official Rust, Python, Node.js, Go and WASM bindings. Write-once/read-many, with optional seekable archives for O(1) random access.

51716

OlehKulykov/PLzmaSDK

C

PLzmaSDK is (Portable, Patched, Package, cross-P-latform) Lzma SDK.

11042

klauspost/compress

Go

Optimized Go Compression Packages

5.7k421